EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'NpmPackages_GetPackage',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'NpmPackages,NpmPackageVersions,NpmPackageTags',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a package and its versions and tags.'
GO

IF OBJECT_ID('[NpmPackages_GetPackage]') IS NOT NULL DROP PROCEDURE [NpmPackages_GetPackage]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [NpmPackages_GetPackage]
(
	@Feed_Id INT,
	@Package_Name NVARCHAR(200),
	@Scope_Name VARCHAR(200)
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [NpmPackages]
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Scope_Name] = @Scope_Name
	   AND [Package_Name] = @Package_Name

	SELECT NPV.*
	  FROM [NpmPackageVersions] NPV
		   INNER JOIN [NpmPackages] NP
		           ON NP.[Package_Id] = NPV.[Package_Id]
	 WHERE NP.[Feed_Id] = @Feed_Id
	   AND [Scope_Name] = @Scope_Name
	   AND NP.[Package_Name] = @Package_Name

	SELECT NPT.*
	  FROM [NpmPackageTags] NPT
	       INNER JOIN [NpmPackages] NP
		           ON NP.[Package_Id] = NPT.[Package_Id]
	 WHERE NP.[Feed_Id] = @Feed_Id
	   AND [Scope_Name] = @Scope_Name
	   AND NP.[Package_Name] = @Package_Name

END
GO

GRANT EXECUTE ON [NpmPackages_GetPackage] TO [ProGetUser_Role]
GO