EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'NuGetPackagesV2_GetPackage',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'NuGetPackageVersionsV2_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets information about a package in a feed.'
GO

IF OBJECT_ID('[NuGetPackagesV2_GetPackage]') IS NOT NULL DROP PROCEDURE [NuGetPackagesV2_GetPackage]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [NuGetPackagesV2_GetPackage]
(
	@Feed_Id INT,
	@Package_Id VARCHAR(255),
	@Version_Text VARCHAR(255) = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [NuGetPackageVersionsV2_Extended]
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Package_Id] = @Package_Id
	   AND (@Version_Text IS NULL OR [Version_Text] = @Version_Text)
END
GO

GRANT EXECUTE ON [NuGetPackagesV2_GetPackage] TO [ProGetUser_Role]
GO
