EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'VsixPackages_SearchPackages',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'VsixPackages_Latest',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the latest packages in a feed that match the specified criteria.'
GO

IF OBJECT_ID('[VsixPackages_SearchPackages]') IS NOT NULL DROP PROCEDURE [VsixPackages_SearchPackages]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [VsixPackages_SearchPackages]
(
	@Feed_Id INT,
	@Search_Term NVARCHAR(MAX)
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [VsixPackages_Latest]
	 WHERE [Feed_Id] = @Feed_Id
	   AND ([Package_Id] LIKE @Search_Term OR [DisplayName_Text] LIKE @Search_Term OR [Description_Text] LIKE @Search_Term)
	 ORDER BY CASE WHEN [Package_Id] LIKE @Search_Term THEN 0
	               WHEN [DisplayName_Text] LIKE @Search_Term THEN 1
				   ELSE 2 END

END
GO

GRANT EXECUTE ON [VsixPackages_SearchPackages] TO [ProGetUser_Role]
GO
