EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Vulnerabilities_GetVulnerability',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'Vulnerabilities_Extended,VulnerabilityComments',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets information about a known vulnerability.'
GO

IF OBJECT_ID('[Vulnerabilities_GetVulnerability]') IS NOT NULL DROP PROCEDURE [Vulnerabilities_GetVulnerability]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Vulnerabilities_GetVulnerability]
(
	@Vulnerability_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [Vulnerabilities_Extended]
	 WHERE [Vulnerability_Id] = @Vulnerability_Id

	SELECT *
	  FROM [VulnerabilityComments]
	 WHERE [Vulnerability_Id] = @Vulnerability_Id
	 ORDER BY [CommentedOn_Date] DESC

END
GO

GRANT EXECUTE ON [Vulnerabilities_GetVulnerability] TO [ProGetUser_Role]
GO